# Method: accounts.conversionSources.patch

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/conversions_v1/accounts.conversionSources/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/conversions_v1/accounts.conversionSources/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/conversions_v1/accounts.conversionSources/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/conversions_v1/accounts.conversionSources/patch#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/conversions_v1/accounts.conversionSources/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/conversions_v1/accounts.conversionSources/patch#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/conversions_v1/accounts.conversionSources/patch#try-it)

Updates information of an existing conversion source. Available only for Merchant Center Destination conversion sources.

### HTTP request

`PATCH https://merchantapi.googleapis.com/conversions/v1/{conversionSource.name=accounts/*/conversionSources/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `conversionSource.name` | `string` Output only. Identifier. Generated by the Content API upon creation of a new `ConversionSource`. Format: `[a-z]{4}:.+` The four characters before the colon represent the type of conversion source. Content after the colon represents the ID of the conversion source within that type. The ID of two different conversion sources might be the same across different types. The following type prefixes are supported: \* `galk`: For GoogleAnalyticsLink sources. \* `mcdn`: For MerchantCenterDestination sources. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. List of fields being updated. |

### Request body

The request body contains an instance of `https://developers.google.com/merchant/api/reference/rest/conversions_v1/accounts.conversionSources#ConversionSource`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/merchant/api/reference/rest/conversions_v1/accounts.conversionSources#ConversionSource`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).